Personal Gentoo overlay, focusing mostly on needed tools and
compatibility for the Librem 14 computer.

Available packages:
 - **dev-util/rust-analyzer-bin**: A properly versioned ebuild of
   rust-analyzer-bin.
 - **sys-kernel/gnu-sources:** An analog to gentoo-sources that tracks
   the sources of the [Linux-libre kernel][linux-libre]. An updated
   version of `virtual/linux-sources` also accompanies this package.
 - **sys-kernel/librem-ec-acpi**: An ebuild packaging the [Librem 14
   EC ACPI kernel module][ec-acpi], necessary for proper functioning
   of the laptop's battery charging and function keys.

## How to Add This Repository

Using eselect-repository:

```
# eselect repository add projectmoon git https://git.agnos.is/projectmoon/projectmoon-overlay
```

## Using the Linux-libre Kernel with Gentoo

The `sys-kernel/gnu-sources` package tracks the current stable
gentoo-sources version for the amd64 architecture. To use it, make
sure both `sys-kernel/gnu-sources` and `virtual/linux-sources` from
the overlay are unmasked and accepted. Then `emerge
sys-kernel/gnu-sources`.

The Linux-libre sources operate like any other kernel source package
in Gentoo. To use it, you must mark it as the selected kernel with
`eselect kernel`, and then build and install it with `genkernel` or
manual kernel compilation.

## Using the Librem EC ACPI kernel module

The Librem EC ACPI kernel module should install and be automatically
available (via modprobe) after installation, using `emerge
sys-kernel/librem-ec-acpi`. The module is currently installed to
`/lib/modules/<kernel>/librem/`.

When upgrading or installing a new kernel, you will need to do `emerge
@modules-rebuild` to install the module for the new kernel.

[linux-libre]: https://linux-libre.fsfla.org/
[ec-acpi]: https://source.puri.sm/nicole.faerber/librem-ec-acpi-dkms
